nfsv4.exportd(8)

NAME
nfsv4.exportd - NFSv4 Server Mount Daemon

SYNOPSIS
/usr/sbin/nfsv4.exportd [options]

DESCRIPTION
The nfsv4.exportd is used to manage NFSv4 exports. The NFSv4 server receives a mount request from a client and pass it up to nfsv4.exportd. nfsv4.exportd then uses the exports(5) export table to verify the validity of the mount request.

An NFS server maintains a table of local physical file systems that are accessible to NFS clients. Each file system in this table is referred to as an exported file system, or export, for short.

Each file system in the export table has an access control list. nfsv4.exportd uses these access control lists to determine whether an NFS client is permitted to access a given file system. For details on how to manage your NFS server's export table, see the exports(5) and exportfs(8) man pages.

OPTIONS

-d kind  or  --debug kind
    Turn on debugging. Valid kinds are: all, auth, call, general and parse.

-F  or  --foreground
    Run in foreground (do not daemonize)

-h  or  --help
    Display usage message.

-t N or --num-threads=N or --num-threads N
    This option specifies the number of worker threads that rpc.mountd spawns. The default is 1 thread, which is probably enough. More threads are usually only needed for NFS servers which need to handle mount storms of hundreds of NFS mounts in a few seconds, or when your DNS server is slow or unreliable.

CONFIGURATION FILE
Many of the options that can be set on the command line can also be controlled through values set in the [exportd] or, in some cases, the [nfsd] sections of the /etc/nfs.conf configuration file. Values recognized in the [exportd] section include debug which each have the same effect as the option with the same name.

FILES

/etc/exports
    input file for exportfs, listing exports, export options, and access control lists

SEE ALSO
exportfs(8), exports(5), showmount(8), nfs.conf(5), firwall-cmd(1),

RFC 3530 - "Network File System (NFS) version 4 Protocol"